gnutls_deinit(3)

NAME
gnutls_deinit - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_deinit(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function clears all buffers associated with the session. This function will also remove session data from the session database if the session was terminated abnormally.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.